import { FASTElement } from '@microsoft/fast-element';
import { StyleUpdateEventDetail, DesignSystem } from '../../types';
export declare class DesignSystemEditor extends FASTElement {
    customDesignMode: boolean;
    designSystems: DesignSystem[];
    customDesignModeChanged(oldValue: boolean, newValue: boolean): Promise<void>;
    userSelections: any;
    ds: string;
    dsChanged(oldValue: string, newValue: string): void;
    darkMode: boolean;
    luminance: number;
    neutralColor: string;
    accentColor: string;
    bodyFont: string;
    density: number;
    borderRadius: number;
    strokeWidth: number;
    designUnit: number;
    baseFontSize: string;
    baseLineHeight: string;
    private tokenUpdateInProgress;
    changeHandler: (e: CustomEvent) => void;
    updateUserSelections: (name: any, value: any) => void;
    modeChangeHandler: (e: CustomEvent) => void;
    styleUpdate(): void;
    applyCustomDSTokens: (e: any) => void;
    setTokensFromDs(ds: StyleUpdateEventDetail): void;
    getAppName(): Promise<any>;
    resetChanges: () => Promise<void>;
    connectedCallback(): void;
}
//# sourceMappingURL=design-system-editor.d.ts.map